org.apache.http.auth.params

## Interface AuthPNames

All Known Subinterfaces:
  AllClientPNames

Deprecated.
(4.3) use `RequestConfig` and constructor parameters of `AuthSchemeProvider`s.

    @Deprecated
    public interface AuthPNames

Parameter names for HTTP authentication classes.

Since:
  4.0

### Field Summary

Fields
`static String` `CREDENTIAL_CHARSET` Deprecated. Defines the charset to be used when encoding `Credentials`.
`static String` `PROXY_AUTH_PREF` Deprecated. Defines the order of preference for supported `AuthScheme`s when authenticating with the proxy host.
`static String` `TARGET_AUTH_PREF` Deprecated. Defines the order of preference for supported `AuthScheme`s when authenticating with the target host.

### Field Detail

#### CREDENTIAL_CHARSET

    static final String CREDENTIAL_CHARSET

Deprecated.
Defines the charset to be used when encoding `Credentials`.

This parameter expects a value of type `String`.

See Also:
  Constant Field Values

#### TARGET_AUTH_PREF

    static final String TARGET_AUTH_PREF

Deprecated.
Defines the order of preference for supported `AuthScheme`s when authenticating with the target host.

This parameter expects a value of type `Collection`. The collection is expected to contain `String` instances representing a name of an authentication scheme as returned by `AuthScheme.getSchemeName()`.

See Also:
  Constant Field Values

#### PROXY_AUTH_PREF

    static final String PROXY_AUTH_PREF

Deprecated.
Defines the order of preference for supported `AuthScheme`s when authenticating with the proxy host.

This parameter expects a value of type `Collection`. The collection is expected to contain `String` instances representing a name of an authentication scheme as returned by `AuthScheme.getSchemeName()`.

See Also:
  Constant Field Values